Bug 453870 - Download/Install new service menu fails
Summary: Download/Install new service menu fails
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Unclassified
Component: general (show other bugs)
Version: 22.04.1
Platform: Other Linux
: NOR major (vote)
Target Milestone: ---
Assignee: Alexander Lohnau
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-05-16 07:45 UTC by Juan Simón
Modified: 2022-05-21 04:23 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 22.04.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Juan Simón 2022-05-16 07:45:15 UTC
```
Operating System: Arch Linux
KDE Plasma Version: 5.24.5
KDE Frameworks Version: 5.94.0
Qt Version: 5.15.4
Kernel Version: 5.17.6-zen1-1-zen (64-bit)
Graphics Platform: X11
```
------------------------------------------------------------
I have tried to add several services from the Dolphin option: `Configure` > `Configure Dolphin` > `Context menu` > `Download new services` but it fails:
```
An error occurred during the installation process:
Installation failed with code 1 when trying to execute the command:
servicemenuinstaller install /home/juan/.local/share/servicemenu-download/comic-book-kservicemenu_1.3.3.tar.gz

The returned output was:
"An install script could not be found in /home/juan/.local/share/servicemenu-download/comic-book-kservicemenu_1.3.3.tar.gz-dir."
```
I have tried to install this one: https://store.kde.org/p/1235423 and this one: https://store.kde.org/p/1754455, but both fail with the same error.
Comment 1 Bug Janitor Service 2022-05-18 06:14:36 UTC
A possibly relevant merge request was started @ https://invent.kde.org/system/dolphin/-/merge_requests/395
Comment 2 Alexander Lohnau 2022-05-20 04:31:41 UTC
Git commit 9bdb36abf09fbae9ba045b95bcf1b676c8e5da41 by Alexander Lohnau.
Committed on 20/05/2022 at 04:26.
Pushed by alex into branch 'master'.

Fix QDirIterator wildcard when fallback install script is searched for

Otherwise, we do not find scripts like "install-user.sh".

M  +1    -1    src/settings/contextmenu/servicemenuinstaller/servicemenuinstaller.cpp

https://invent.kde.org/system/dolphin/commit/9bdb36abf09fbae9ba045b95bcf1b676c8e5da41
Comment 3 Alexander Lohnau 2022-05-20 04:32:20 UTC
Git commit f932b6eb9fc8567f4615d6b32e8cea1a9839c3f1 by Alexander Lohnau.
Committed on 20/05/2022 at 04:32.
Pushed by alex into branch 'release/22.04'.

Fix QDirIterator wildcard when fallback install script is searched for

Otherwise, we do not find scripts like "install-user.sh".


(cherry picked from commit 9bdb36abf09fbae9ba045b95bcf1b676c8e5da41)

M  +1    -1    src/settings/contextmenu/servicemenuinstaller/servicemenuinstaller.cpp

https://invent.kde.org/system/dolphin/commit/f932b6eb9fc8567f4615d6b32e8cea1a9839c3f1